-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.39-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema tutorial
--

CREATE DATABASE IF NOT EXISTS tutorial;
USE tutorial;

--
-- Definition of table `autor`
--

DROP TABLE IF EXISTS `autor`;
CREATE TABLE `autor` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(45) NOT NULL,
  `apellidos` varchar(45) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `autor`
--

/*!40000 ALTER TABLE `autor` DISABLE KEYS */;
INSERT INTO `autor` (`id`,`nombre`,`apellidos`) VALUES 
 (1,'Pedro','García De La Morena'),
 (2,'Marta','Lopesinos Gago'),
 (3,'Jose Ramón','Sanchéz Jerez');
/*!40000 ALTER TABLE `autor` ENABLE KEYS */;


--
-- Definition of table `tutoriales`
--

DROP TABLE IF EXISTS `tutoriales`;
CREATE TABLE `tutoriales` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(45) NOT NULL,
  `id_autor` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_tutoriales_1` (`id_autor`),
  CONSTRAINT `FK_tutoriales_1` FOREIGN KEY (`id_autor`) REFERENCES `autor` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tutoriales`
--

/*!40000 ALTER TABLE `tutoriales` DISABLE KEYS */;
INSERT INTO `tutoriales` (`id`,`nombre`,`id_autor`) VALUES 
 (1,'Echo en MySQL',1),
 (2,'Introducción a Spring 2.0',1),
 (3,'Mavenizar Liferay SDK',3),
 (4,'Primeros pasos con JBoss Seam',1),
 (5,'Crear un plugin con Liferay SDK',2),
 (6,'Release Bugzilla Maven Plugin',2),
 (7,'Joomla 1.5. Instalación y configuración',1);
/*!40000 ALTER TABLE `tutoriales` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
